petsc-3.4.2 2013-07-02

# DMRefine

Refines a DM object

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMRefine(DM dm,MPI_Comm comm,DM *dmf)

Collective on DM

### Input Parameter

| dm | - the DM object
| comm | - the communicator to contain the new DM object (or MPI_COMM_NULL)

### Output Parameter

dmf -the refined DM, or NULL

Note: If no refinement was done, the return value is NULL

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex65dm.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex52.c.html
src/snes/examples/tutorials/ex62.c.html